Loading...
Searching...
No Matches
casacore::MSArrayGram_global_functions_MSArrayGramFunctions Struct Reference
ms package (libcasa_ms) » MSSel_module » MSSel_module_internal_classes

More...

`#include <MSArrayGram.h>`

## Public Member Functions

TableExprNode | msArrayGramParseCommand (const MeasurementSet *ms, const String &command, Vector< Int > &idList, Int maxArrays=1000)
| Declare the bison parser (is implemented by bison command).
void | MSArrayGramerror (const char *)
| The yyerror function for the parser.
Int & | msArrayGramPosition ()
| Give the table expression node.
int | msArrayGramInput (char *buf, int max_size)
| Declare the input routine for flex/bison.

## Detailed Description

Global functions for flex/bison scanner/parser for MSArrayGram

### Intended use:

Internal

### Prerequisite

- MSArrayGram.l and.y (flex and bison grammar)

### Synopsis

Global functions are needed to define the input of the flex scanner and to start the bison parser. The input is taken from a string.

### Motivation

It is necessary to be able to give an image expression in ASCII. This can be used in glish.

Definition at line 70 of file MSArrayGram.h.

## Member Function Documentation

## MSArrayGramerror()

void casacore::MSArrayGram_global_functions_MSArrayGramFunctions::MSArrayGramerror | ( | const char * |  | ) |

The yyerror function for the parser.

It throws an exception with the current token.

## msArrayGramInput()

int casacore::MSArrayGram_global_functions_MSArrayGramFunctions::msArrayGramInput | ( | char * | buf,
|  | int | max_size )

Declare the input routine for flex/bison.

## msArrayGramParseCommand()

TableExprNode casacore::MSArrayGram_global_functions_MSArrayGramFunctions::msArrayGramParseCommand | ( | const MeasurementSet * | ms,
|  | const String & | command,
|  | Vector< Int > & | idList,
|  | Int | maxArrays = 1000 )

Declare the bison parser (is implemented by bison command).

## msArrayGramPosition()

Int & casacore::MSArrayGram_global_functions_MSArrayGramFunctions::msArrayGramPosition | ( |  | ) |

Give the table expression node.

const TableExprNode *msArrayGramParseNode(); void msArrayGramParseDeleteNode();

Give the current position in the string. This can be used when parse errors occur.

The documentation for this struct was generated from the following file:

- ms/MSSel/MSArrayGram.h